Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::event_listener Class Reference

Abstract base class of event listeners. More...

`#include <openvrml/event.h>`

Inheritance diagram for openvrml::event_listener:
[legend]

List of all members.

## Public Member Functions

virtual | ~event_listener ()=0 throw ()
| Destroy.
virtual field_value::type_id | type () const =0 throw ()
| The `field_value::type_id` for the type accepted by the event listener.

## Protected Member Functions

| event_listener () throw ()
| Construct.

## Detailed Description

Abstract base class of event listeners.

## Constructor & Destructor Documentation

openvrml::event_listener::~event_listener | ( |  | ) | throw ()`[pure virtual]`

Destroy.

openvrml::event_listener::event_listener | ( |  | ) | throw ()`[protected]`

Construct.

## Member Function Documentation

openvrml::field_value::type_id openvrml::event_listener::type | ( |  | ) | const throw ()`[pure virtual]`

The `field_value::type_id` for the type accepted by the event listener.

Returns:
  The `field_value::type_id` for the type accepted by the event listener.

Implemented in openvrml::field_value_listener< FieldValue >, openvrml::field_value_listener< mfstring >, and openvrml::field_value_listener< sfnode >.